/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.testing.webmock;

import org.builtu.exceptions.FatalError;
import org.builtu.testing.webmock.WebMock;
import org.junit.Test;



public class TestWebMockXMLParsing {

	@Test(expected=FatalError.class) public void test_duplicate_response_names() {
		new WebMock ().readConfig(this.getClass().getResource("/webmock_duplicate_response_names.xml"));
	}
	
	@Test(expected=FatalError.class) public void test_duplicate_request_mappings() {
		new WebMock ().readConfig(this.getClass().getResource("/webmock_duplicate_request_mappings.xml"));
	}
	
}
