/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.util.commutil;

import static junit.framework.Assert.assertEquals;

import java.io.IOException;
import java.io.InputStream;

import org.builtu.util.commutil.ClasspathUtil;
import org.junit.Test;


public class TestClasspathUtil {
    
	@Test public void testme() throws IOException {
        final InputStream in = ClasspathUtil.getClassResource(this.getClass(), ".txt");
        String res = "";
        int c = in.read();
        while (c != -1) {
            res += (char) c;
            c = in.read();
        }
        assertEquals("hello", res);
    }
	
	
}
